%define beta    %{nil}
#-beta1
%define gimpplugin 1
%define abi_version 2.0

Name:           sane-frontends
Version:        1.0.14
Release:        %mkrel 28.git.b2b5f1ca61bfd4912
Summary: 	Graphical frontend to SANE
License: 	GPLv2+
Group:		Graphics/Scanning
URL:       	http://www.mostang.com/sane/
#Source:    	ftp://ftp.sane-project.org/pub/sane/sane-frontends-%{version}/%{name}-%{version}%{beta}.tar.bz2
Source:		frontends-master.tar.bz2
Source1:	sane-frontends16.png
Source2:	sane-frontends32.png
Source3:	sane-frontends48.png
Patch0:		sane-frontends-1.0.14-segfault.patch
%if %{gimpplugin}
BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	gtk+3.0-devel
%endif
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(sane-backends) >= %{version}
BuildRequires:	pkgconfig(libusb)
Requires: 	sane >= %{version}

%description
This is the xscanimage program, used to scan images using SANE,
%if %{gimpplugin}
either standalone or as a gimp plugin. Also includes xcam and scanadf.
%else
and also includes xcam and scanadf.
%endif

%prep
%setup -q -n frontends-master
%autopatch -p1

%build
%configure
# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h
%make_build

%install
%makeinstall

%if %{gimpplugin}
mkdir -p %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
ln -s %{_bindir}/xscanimage %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
%endif

# menu icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %SOURCE1 %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/sane-frontends.png
install -m 0644 %SOURCE2 %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/sane-frontends.png
install -m 0644 %SOURCE3 %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/sane-frontends.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-xscanimage.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScanImage
Comment=A simple frontend for the SANE scanning system
Exec=%{_bindir}/xscanimage
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Graphics;Scanning;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-xcam.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XCam
Comment=A SANE-based frontend for webcams
Exec=%{_bindir}/xcam
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;AudioVideo;Video;
EOF

%files
%doc INSTALL NEWS README AUTHORS
%{_bindir}/*
#config(noreplace) %{_datadir}/sane/sane-style.rc
%{_datadir}/sane/sane-style.rc
%if %{gimpplugin}
# own gimp directories - in case gimp is not installed (Anssi 08/2012)
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{abi_version}
%dir %{_libdir}/gimp/%{abi_version}/plug-ins
%{_libdir}/gimp/%{abi_version}/plug-ins/xscanimage
%endif
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Wed Nov 16 2022 julien <julien> 1.0.14-28.git.b2b5f1ca61bfd4912.mga8
+ Revision: 1908077
- update to latest git (try to fix MGA#30702)

* Fri Jan 29 2021 daviddavid <daviddavid> 1.0.14-27.mga8
+ Revision: 1673895
- switch back to gimp 2.0

* Fri Jan 01 2021 luigiwalser <luigiwalser> 1.0.14-26.mga8
+ Revision: 1667504
- rebuild for gimp3
- try rebuilding gimp plugin

* Mon Jul 06 2020 joequant <joequant> 1.0.14-25.mga8
+ Revision: 1602539
- bump
- aarch64 workaround removed

* Fri Feb 14 2020 umeabot <umeabot> 1.0.14-24.mga8
+ Revision: 1516749
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.14-23.mga7
+ Revision: 1300925
- Mageia 7 Mass Rebuild

* Sun Aug 12 2018 wally <wally> 1.0.14-22.mga7
+ Revision: 1251185
- drop unused debug conditional from .spec
- clean unneeded parts and other .spec tidying

* Sat Jul 28 2018 wally <wally> 1.0.14-21.mga7
+ Revision: 1245668
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 1.0.14-20.mga6
+ Revision: 931550
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.14-19.mga5
+ Revision: 746002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.14-18.mga5
+ Revision: 689029
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.0.14-17.mga5
+ Revision: 643772
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 1.0.14-16.mga4
+ Revision: 521798
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.0.14-15.mga3
+ Revision: 391912
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 anssi <anssi> 1.0.14-13.mga3
+ Revision: 278558
- do not require gimp, this can be used standalone as well
- do not use fragile %%post/preun tricks to install gimp plug-in symlink,
  just create it in %%install

* Thu Apr 19 2012 pterjan <pterjan> 1.0.14-12.mga2
+ Revision: 231866
- Fix clean section for manual builds
- Fix a segfault when failing to open a device

* Wed Mar 09 2011 ennael <ennael> 1.0.14-11.mga1
+ Revision: 66819
- clean spec file
+ ahmad <ahmad>
- drop old/unneeded scriptlets
- rename .desktop files to mageia-*
- imported package sane-frontends

